<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bixo',

    /*
     * Package.
     */
    'package'   => 'campaign',

    /*
     * Modules.
     */
    'modules'   => ['campaign_call', 'campaign_database'],

    'campaign_call'       => [
        'model' => [
            'model'                 => \Bixo\Campaign\Models\CampaignCall::class,
            'table'                 => 'campaign_calls',
            'presenter'             => \Bixo\Campaign\Repositories\Presenter\CampaignCallPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'ref',  'agent_id',  'assigned_on',  'called_on',  'category_id',  'city_id',  'location_id',  'sublocation_id',  'type',  'status',  'area',  'copied',  'hot',  'sub_status',  'nationality',  'unit',  'priority',  'name',  'mobile',  'phone',  'email',  'source_id',  'other_source',  'reminder',  'notes',  'note',  'created_by',  'updated_at',  'deleted_at',  'created_at'],
            'translatables'         => [],
            'upload_folder'         => 'campaign/campaign_call',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Campaign',
            'module'    => 'CampaignCall',
        ],

    ],
    'campaign_database'       => [
        'model' => [
            'model'                 => \Bixo\Campaign\Models\CampaignDatabase::class,
            'table'                 => 'campaign_databases',
            'presenter'             => \Bixo\Campaign\Repositories\Presenter\CampaignDatabasePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'slug',  'deleted_at',  'name',  'status',  'description',  'updated_at',  'created_at'],
            'translatables'         => [],
            'upload_folder'         => 'campaign/campaign_database',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Campaign',
            'module'    => 'CampaignDatabase',
        ],

    ],
];
