<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCampaignCallsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: campaign_calls
         */
        Schema::create('campaign_calls', function ($table) {
            $table->increments('id');
            $table->string('ref', 100)->nullable();
            $table->integer('agent_id')->nullable();
            $table->date('assigned_on')->nullable();
            $table->date('called_on')->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->string('type', 100)->nullable();
            $table->string('status', 15)->nullable();
            $table->string('area', 100)->nullable();
            $table->enum('copied', ['Yes','No'])->nullable();
            $table->smallInteger('hot')->nullable();
            $table->string('sub_status', 100)->nullable();
            $table->string('nationality', 255)->nullable();
            $table->string('unit', 100)->nullable();
            $table->string('priority', 100)->nullable();
            $table->string('name', 100)->nullable();
            $table->string('mobile', 100)->nullable();
            $table->string('phone', 50)->nullable();
            $table->string('email', 100)->nullable();
            $table->integer('source_id')->nullable();
            $table->string('other_source', 255)->nullable();
            $table->date('reminder')->nullable();
            $table->text('notes')->nullable();
            $table->text('note')->nullable();
            $table->integer('created_by')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('campaign_calls');
    }
}
