<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('campaign::campaign_call.name') !!} <small> {!! trans('app.manage') !!} {!! trans('campaign::campaign_call.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('campaign::campaign_call.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='campaign-campaign_call-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('campaign/campaign_call')!!}">{!! trans('campaign::campaign_call.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('campaign/campaign_call?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('campaign/campaign_call?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('campaign/campaign_call/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('campaign::admin.campaign_call.partial.actions')
                    -->
                    @include('campaign::admin.campaign_call.partial.filter')
                    @include('campaign::admin.campaign_call.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="campaign-campaign_call-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="campaign-campaign_call-check-all"></th>
                        <th data-field="ref">{!! trans('campaign::campaign_call.label.ref')!!}</th>
                    <th data-field="agent_id">{!! trans('campaign::campaign_call.label.agent_id')!!}</th>
                    <th data-field="assigned_on">{!! trans('campaign::campaign_call.label.assigned_on')!!}</th>
                    <th data-field="called_on">{!! trans('campaign::campaign_call.label.called_on')!!}</th>
                    <th data-field="category_id">{!! trans('campaign::campaign_call.label.category_id')!!}</th>
                    <th data-field="city_id">{!! trans('campaign::campaign_call.label.city_id')!!}</th>
                    <th data-field="location_id">{!! trans('campaign::campaign_call.label.location_id')!!}</th>
                    <th data-field="sublocation_id">{!! trans('campaign::campaign_call.label.sublocation_id')!!}</th>
                    <th data-field="type">{!! trans('campaign::campaign_call.label.type')!!}</th>
                    <th data-field="area">{!! trans('campaign::campaign_call.label.area')!!}</th>
                    <th data-field="copied">{!! trans('campaign::campaign_call.label.copied')!!}</th>
                    <th data-field="hot">{!! trans('campaign::campaign_call.label.hot')!!}</th>
                    <th data-field="sub_status">{!! trans('campaign::campaign_call.label.sub_status')!!}</th>
                    <th data-field="nationality">{!! trans('campaign::campaign_call.label.nationality')!!}</th>
                    <th data-field="unit">{!! trans('campaign::campaign_call.label.unit')!!}</th>
                    <th data-field="priority">{!! trans('campaign::campaign_call.label.priority')!!}</th>
                    <th data-field="name">{!! trans('campaign::campaign_call.label.name')!!}</th>
                    <th data-field="mobile">{!! trans('campaign::campaign_call.label.mobile')!!}</th>
                    <th data-field="phone">{!! trans('campaign::campaign_call.label.phone')!!}</th>
                    <th data-field="email">{!! trans('campaign::campaign_call.label.email')!!}</th>
                    <th data-field="source_id">{!! trans('campaign::campaign_call.label.source_id')!!}</th>
                    <th data-field="other_source">{!! trans('campaign::campaign_call.label.other_source')!!}</th>
                    <th data-field="reminder">{!! trans('campaign::campaign_call.label.reminder')!!}</th>
                    <th data-field="notes">{!! trans('campaign::campaign_call.label.notes')!!}</th>
                    <th data-field="note">{!! trans('campaign::campaign_call.label.note')!!}</th>
                    <th data-field="created_by">{!! trans('campaign::campaign_call.label.created_by')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#campaign-campaign_call-entry', '{!!guard_url('campaign/campaign_call/0')!!}');
    oTable = $('#campaign-campaign_call-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('campaign/campaign_call') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'ref'},
            {data :'agent_id'},
            {data :'assigned_on'},
            {data :'called_on'},
            {data :'category_id'},
            {data :'city_id'},
            {data :'location_id'},
            {data :'sublocation_id'},
            {data :'type'},
            {data :'area'},
            {data :'copied'},
            {data :'hot'},
            {data :'sub_status'},
            {data :'nationality'},
            {data :'unit'},
            {data :'priority'},
            {data :'name'},
            {data :'mobile'},
            {data :'phone'},
            {data :'email'},
            {data :'source_id'},
            {data :'other_source'},
            {data :'reminder'},
            {data :'notes'},
            {data :'note'},
            {data :'created_by'},
        ],
        "pageLength": 25
    });

    $('#campaign-campaign_call-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#campaign-campaign_call-list').DataTable().row( this ).data();
        $('#campaign-campaign_call-entry').load('{!!guard_url('campaign/campaign_call')!!}' + '/' + d.id);
    });

    $('#campaign-campaign_call-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#campaign-campaign_call-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#campaign-campaign_call-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#campaign-campaign_call-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>