<?php

namespace Bixo\Campaign\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind CampaignCall policy
        'Bixo\Campaign\Models\CampaignCall' => \Bixo\Campaign\Policies\CampaignCallPolicy::class,// Bind CampaignDatabase policy
        'Bixo\Campaign\Models\CampaignDatabase' => \Bixo\Campaign\Policies\CampaignDatabasePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
