<?php

namespace Bixo\Campaign\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CampaignCallTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Campaign\Models\CampaignCall $campaign_call)
    {
        return [
            'id'                => $campaign_call->getRouteKey(),
            'key'               => [
                'public'    => $campaign_call->getPublicKey(),
                'route'     => $campaign_call->getRouteKey(),
            ], 
            'ref'               => $campaign_call->ref,
            'agent_id'          => $campaign_call->agent_id,
            'assigned_on'       => $campaign_call->assigned_on,
            'called_on'         => $campaign_call->called_on,
            'category_id'       => $campaign_call->category_id,
            'city_id'           => $campaign_call->city_id,
            'location_id'       => $campaign_call->location_id,
            'sublocation_id'    => $campaign_call->sublocation_id,
            'type'              => $campaign_call->type,
            'area'              => $campaign_call->area,
            'copied'            => $campaign_call->copied,
            'hot'               => $campaign_call->hot,
            'sub_status'        => $campaign_call->sub_status,
            'nationality'       => $campaign_call->nationality,
            'unit'              => $campaign_call->unit,
            'priority'          => $campaign_call->priority,
            'name'              => $campaign_call->name,
            'mobile'            => $campaign_call->mobile,
            'phone'             => $campaign_call->phone,
            'email'             => $campaign_call->email,
            'source_id'         => $campaign_call->source_id,
            'other_source'      => $campaign_call->other_source,
            'reminder'          => $campaign_call->reminder,
            'notes'             => $campaign_call->notes,
            'note'              => $campaign_call->note,
            'created_by'        => $campaign_call->created_by,
            'deleted_at'        => $campaign_call->deleted_at,
            'url'               => [
                'public'    => trans_url('campaign/'.$campaign_call->getPublicKey()),
                'user'      => guard_url('campaign/campaign_call/'.$campaign_call->getRouteKey()),
            ], 
            'status'            => trans('app.'.$campaign_call->status),
            'created_at'        => format_date($campaign_call->created_at),
            'updated_at'        => format_date($campaign_call->updated_at),
        ];
    }
}