<?php

namespace Bixo\Campaign\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CampaignDatabaseTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Campaign\Models\CampaignDatabase $campaign_database)
    {
        return [
            'id'                => $campaign_database->getRouteKey(),
            'key'               => [
                'public'    => $campaign_database->getPublicKey(),
                'route'     => $campaign_database->getRouteKey(),
            ], 
            'slug'              => $campaign_database->slug,
            'deleted_at'        => $campaign_database->deleted_at,
            'name'              => $campaign_database->name,
            'description'       => $campaign_database->description,
            'url'               => [
                'public'    => trans_url('campaign/'.$campaign_database->getPublicKey()),
                'user'      => guard_url('campaign/campaign_database/'.$campaign_database->getRouteKey()),
            ], 
            'status'            => trans('app.'.$campaign_database->status),
            'created_at'        => format_date($campaign_database->created_at),
            'updated_at'        => format_date($campaign_database->updated_at),
        ];
    }
}